package org.jeecg.modules.statistics.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.statistics.entity.BuFaultStatistics;
import org.jeecg.modules.statistics.model.LineDataStatistics;
import org.jeecg.modules.statistics.model.OpenStatistics;

import java.util.List;

/**
 * @Description: 设备信息统计表
 * @Author: jeecg-boot
 * @Date:   2021-01-18
 * @Version: V1.0
 */
public interface IBuFaultStatisticsService extends IService<BuFaultStatistics> {

    public List<OpenStatistics> monthTypeStatistics(String year);

    public List<OpenStatistics> monthSystemStatistics(String year);

    public List<OpenStatistics> monthGradeStatistics(String year);

    public List<OpenStatistics> dayTypeStatistics(String year,String month);

    public List<OpenStatistics> daySystemStatistics(String year,String month);

    public List<OpenStatistics> dayGradeStatistics(String year,String month);

//    public List<BuFaultStatistics> lineSystemStatistics(String year);

}
